Class Index | File Index

## Classes

- _global_
- OWF
- OWF.Chrome
- OWF.DragAndDrop
- OWF.Eventing
- OWF.Intents
- OWF.Lang
- OWF.Launcher
- OWF.Log
- OWF.Metrics
- OWF.Preferences
- OWF.RPC
- OWF.Util
- Ozone.chrome.WidgetChrome
- Ozone.dragAndDrop.WidgetDragAndDrop
- Ozone.eventing.Widget
- Ozone.eventing.WidgetProxy
- Ozone.lang
- Ozone.launcher.WidgetLauncher
- Ozone.launcher.WidgetLauncherUtils
- Ozone.log
- Ozone.metrics
- Ozone.pref.PrefServer
- Ozone.state.WidgetState
- Ozone.state.WidgetStateHandler
- Ozone.util
- Ozone.util.pageLoad

# Namespace Ozone.util

Defined in: widget_utils.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Ozone.util Provides OWF utility methods for the widget developer

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | Ozone.util.getFlashApp(id) This method returns flash/flex object from dom.
<static> | Ozone.util.guid() Returns a globally unique identifier (guid)
<static> | Ozone.util.isInContainer() This method informs a widget developer if their widget is running in a Container, like OWF
<static> | Ozone.util.isRunningInOWF() This method informs a widget developer if their widget is running from the OWF or from a direct URL call.

Namespace Detail
Ozone.util
Provides OWF utility methods for the widget developer
Method Detail
<static> Ozone.util.getFlashApp(id)
This method returns flash/flex object from dom.

Parameters:
id

Returns:
  flash/flex object from dom

<static> {String} Ozone.util.guid()
Returns a globally unique identifier (guid)
Defined in: guid.js.

Returns:
  {String} guid

<static> Ozone.util.isInContainer()
This method informs a widget developer if their widget is running in a Container, like OWF

Returns:
  boolean true if the widget is inside a container, false otherwise.

<static> Ozone.util.isRunningInOWF()
This method informs a widget developer if their widget is running from the OWF or from a direct URL call.

Returns:
  boolean true if the widget is inside OWF, false otherwise.

Documentation generated by JsDoc Toolkit 2.3.2 on Fri Dec 21 2012 17:25:00 GMT-0500 (EST)